Package org.apache.groovy.parser.antlr4

## Class GroovyParser.UnaryAddExprAltContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext
        - - org.apache.groovy.parser.antlr4.GroovyParser.UnaryAddExprAltContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`
  Enclosing class:
    GroovyParser

      public static class GroovyParser.UnaryAddExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.antlr.v4.runtime.Token` | `op` |

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnaryAddExprAltContext​(GroovyParser.ExpressionContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `ADD()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `DEC()` |
    `GroovyParser.ExpressionContext` | `expression()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INC()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `SUB()` |

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### op

          public org.antlr.v4.runtime.Token op

  - ### Constructor Detail

    - #### UnaryAddExprAltContext

          public UnaryAddExprAltContext​(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### expression

          public GroovyParser.ExpressionContext expression()

    - #### INC

          public org.antlr.v4.runtime.tree.TerminalNode INC()

    - #### DEC

          public org.antlr.v4.runtime.tree.TerminalNode DEC()

    - #### ADD

          public org.antlr.v4.runtime.tree.TerminalNode ADD()

    - #### SUB

          public org.antlr.v4.runtime.tree.TerminalNode SUB()

    - #### accept

          public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`